Get Cardholder Credentials
curl --request GET \
--url https://api.transactcampus.com/idx/institution-management/credentials/v1/cardholders/{cardholderId}/credentials \
--header 'Ocp-Apim-Subscription-Key: <api-key>'import requests
url = "https://api.transactcampus.com/idx/institution-management/credentials/v1/cardholders/{cardholderId}/credentials"
headers = {"Ocp-Apim-Subscription-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Ocp-Apim-Subscription-Key': '<api-key>'}};
fetch('https://api.transactcampus.com/idx/institution-management/credentials/v1/cardholders/{cardholderId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentials": [
{
"id": "8d8ad9ef-f713-4790-b2d8-dbd04953eb07",
"cardholderId": "cfc6d447-a7bc-4ddf-87b7-8b5fcebdb440",
"activationDateTime": "2025-08-24T14:15:22Z",
"expirationDateTime": "2026-08-24T14:15:22Z",
"cardholderLostFlag": false,
"institutionActiveState": true,
"overallStatusCode": "ACTIVE",
"credentialType": {
"id": "15c1ac7f-2b04-478c-b3c5-97e4f454067d",
"issuerType": "MOBILE",
"name": "iPhone"
},
"mobileCredential": {
"id": "38981fb8-e33a-4f32-8b86-350751f82097",
"mobileCredentialDevice": {
"wallet": "APPLE",
"platform": "IOS",
"type": "PHONE"
}
},
"credentialValues": [
{
"id": "0a503db2-aea3-4dfb-accf-e7cd71538214",
"credentialValueType": {
"id": "1f2f614f-26b3-47e5-819f-0f5e508d261c",
"name": "Mobile IIN"
},
"value": "4111111111111111",
"displayValue": "1111",
"issuedDateTime": "2025-08-24T14:15:22Z"
}
]
},
{
"id": "69945145-107e-4556-a6f8-c02d33847749",
"cardholderId": "cfc6d447-a7bc-4ddf-87b7-8b5fcebdb440",
"activationDateTime": "2025-08-24T14:15:22Z",
"expirationDateTime": "2026-08-24T14:15:22Z",
"cardholderLostFlag": true,
"institutionActiveState": true,
"overallStatusCode": "LOST",
"credentialType": {
"id": "fedfbc9a-96a7-4eb5-b190-5c299c0c3779",
"issuerType": "PHYSICAL",
"name": "Student Card"
},
"credentialValues": [
{
"id": "dfa5497d-e56e-4957-9acc-c4862e7753e8",
"credentialValueType": {
"id": "614b9590-c204-4279-8e2e-aa1162a6527d",
"name": "NFC Custom"
},
"value": "6df5002706b87c78",
"displayValue": "7c78",
"issueNumber": "001",
"issuedDateTime": "2025-08-24T14:15:22Z"
}
]
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}This response has no body data.Credential
Get Cardholder Credentials
Lists the cardholder’s credentials. Query parameters can be used to limit the scope of the list.
GET
/
cardholders
/
{cardholderId}
/
credentials
Get Cardholder Credentials
Authorizations
The APIM subscription key.
Path Parameters
The cardholder identifier in UUID format.
Query Parameters
The credential type's issuer type.
Available options:
BIOMETRIC, MOBILE, PHYSICAL, VIRTUAL Response
The response containing the list of credentials belonging to the cardholder.
Show child attributes
Show child attributes
Was this page helpful?